package com.usky.dxtop.common.utils;

import cn.afterturn.easypoi.excel.ExcelExportUtil;
import cn.afterturn.easypoi.excel.entity.ExportParams;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.Order;
import com.usky.dxtop.service.emun.AsyncResultType;
import com.usky.dxtop.service.vo.OrderExport;
import org.apache.poi.ss.usermodel.Workbook;
import org.springframework.context.annotation.Configuration;
import org.springframework.mock.web.MockMultipartFile;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.stream.Collectors;

/**
 * @author yq
 * @date 2021/9/1 16:35
 */
public class ExcelUtils {

    public static MultipartFile downLoadExcel(Workbook workbook,String fileName) throws Exception{
        ByteArrayOutputStream bos=new ByteArrayOutputStream();
        workbook.write(bos);
        byte[] barray=bos.toByteArray();
        InputStream is=new ByteArrayInputStream(barray);
        return new MockMultipartFile(fileName,fileName,fileName,is);
    }


}
