package com.usky.dxtop.controller.web.business;


import com.usky.dxtop.common.core.domain.ApiResult;
import com.usky.dxtop.model.ProductPeriod;
import com.usky.dxtop.service.ProductPeriodService;
import io.swagger.annotations.ApiResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 商品周期
 *
 * @author yq
 * @since 2022-07-08
 */
@RestController
@RequestMapping("/productPeriod")
public class ProductPeriodController {



    @Autowired
    private ProductPeriodService productPeriodService;


    /**
     * 分页
     * @param productInfoId
     * @return
     */
    @GetMapping
    public ApiResult<List<ProductPeriod>> list(@RequestParam Long productInfoId){
        return ApiResult.success(productPeriodService.list(productInfoId));
    }
}

