package com.usky.dxtop.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.time.LocalTime;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author yq
 * @since 2022-07-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ProductOrder implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 订单编号
     */
    private String orderNumber;

    /**
     * tOrder订单编号
     */
    private String tOrderNumber;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品详情编号
     */
    private Long productInfoId;

    /**
     * 商品类型名称
     */
    private String productTypeName;

    /**
     * 商品类型编号
     */
    private Long productTypeId;

    /**
     * 订单状态
     */
    private Integer orderFlag;

    /**
     * 用户编号
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 订单金额
     */
    private BigDecimal orderMoney;

    /**
     * 用户手机号
     */
    private String userPhone;
    /**
     * 费浦用户编号
     */
    private String userCode;
    /**
     * 卡号
     */
    private String card;
    /**
     * 预约时间
     */
    private Date appointmentTime;

    /**
     * 费浦设备类型编号
     */
    private String fpDeviceId;

    /**
     * 开始时间
     */
    private LocalTime startTime;

    /**
     * 结束时间
     */
    private LocalTime endTime;

    private Date createTime;

    /**
     * 创建人
     */
    private String createBy;

    private String updateBy;

    private Date updateTime;


}
