package com.usky.dxtop.service;

import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.Company;
import com.usky.dxtop.model.ProductType;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 商品详情 服务类
 * </p>
 *
 * @author yq
 * @since 2022-07-05
 */
public interface ProductTypeService extends IService<ProductType> {

    boolean add(ProductType productType);

    boolean update(ProductType productType);

    String checkNameUnique(ProductType productType);

    CommonPage<ProductType> list(Integer current, Integer size, String name,Boolean isTake);

    boolean remove(Long id);

}
